/* exported should */
/* exported co */
/* exported describe */
/*jshint expr: true*/

'use strict';
var should = require("should");

var omg_helperfunctions = require('../lib/omg-helperfunctions.js');

describe('omg_helperfunctions', function(){

	describe("omg_helperfunctions.stdout2array", function() {
		it('should return an array', function(done){
			var passThis = 'ifconfig';
			omg_helperfunctions.stdout2array(passThis,function(err,data){
				if(err){ throw err; }
				data.should.be.Array;
				done();
			});
		});
	});

	describe("omg_helperfunctions.array2object", function() {
		it("should return an object after being handed an array", function(done) {
			var passThis = [1,2,3,4,5,6];
			omg_helperfunctions.array2object(passThis, undefined, function(err, data) {
				data.should.be.Object;
				data.should.have.properties('1','2','3');
				done();
			});
		});

		it("should return an object after being handed an array of objects", function(done) {
			var passThis = [{name:2},{name:3},{name:4}];
			omg_helperfunctions.array2object(passThis, 'name', function(err, data) {
				data.should.be.Object;
				data.should.have.properties('2','3','4');
				done();
			});
		});
	});




});
